%define oversion 2018.01.07

Name:		youtube-dl
Version:	20180107
Release:	%mkrel 1
Summary:	Small command-line program to download videos from YouTube
License:	Public Domain
Group:		Video
URL:		http://rg3.github.io/youtube-dl
Source0:	https://yt-dl.org/downloads/%{version}/%{name}-%{oversion}.tar.xz
BuildArch:	noarch
BuildRequires:	zip lib64python3-devel
Requires: python3
Requires: python3-setuptools

%description
Small command-line program to download videos from YouTube.

%prep
%setup -qn %{name}
rm -f youtube-dl

%build
# build as python3 module, as mps-youtube requires it this way
%{__python3} setup.py build

%install
%make_install PREFIX="%{_prefix}" MANDIR="%{_mandir}"
%{__python3} setup.py install --skip-build --root %{buildroot}

# remove duplicate stuff
rm -rf %{buildroot}%{_prefix}/etc
rm -rf %{buildroot}%{_defaultdocdir}/youtube_dl

%files
%doc README.txt ChangeLog LICENSE
%attr(0755,root,root) %{_bindir}/%{name}
%{_sysconfdir}/bash_completion.d/%{name}
%{_sysconfdir}/fish/completions/%{name}.fish
%{_datadir}/zsh/site-functions/_%{name}
%{_mandir}/man1/%{name}.1.*
%{python3_sitelib}/youtube_dl*


%changelog
* Mon Jan 08 2018 Zen Subz <techars21 at gmail dot com> - 2018.01.07-1pclos2018
- Update to latest release

* Sun Jan 07 2018 bb2 <bb2> - 2017.12.23-2pclos2018
- add req python3-setuptools

* Sun Dec 24 2017 Ken <lxgator at gmail dot com> 2017.12.23-1pclos2018
- Update 

* Thu Dec 21 2017 Zen Subz <techars21 at gmail dot com> - 2017.12.14-1pclos2017
- Update to latest release

* Wed Oct 04 2017 ghostbunny <ghostbunny at gmx dot de> 2017.10.01-1pclos2017
- 2017.10.01

* Sun Apr 30 2017 bb2 <bb2> - 2017.04.28-1pclos2017
- new version
